# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`klipper`](#klipper): Installs and manages klipper

#### Private Classes

* `klipper::configure`: Handles configuration of klipper
* `klipper::install`: Perform baseline install of Klipper
* `klipper::service`: Manage the klipper service

## Classes

### <a name="klipper"></a>`klipper`

Installs and manages klipper

#### Examples

##### 

```puppet
include klipper
```

#### Parameters

The following parameters are available in the `klipper` class:

* [`src_path`](#src_path)
* [`version`](#version)
* [`user`](#user)
* [`python_dir`](#python_dir)
* [`config_dir`](#config_dir)
* [`log_path`](#log_path)

##### <a name="src_path"></a>`src_path`

Data type: `Stdlib::Absolutepath`

The filesystem path to clone the klipper source code to

Default value: `"/home/${klipper::user}/klipper"`

##### <a name="version"></a>`version`

Data type: `String`

The version of klipper to install

Default value: `'present'`

##### <a name="user"></a>`user`

Data type: `String`

The account to run klipper under

Default value: `'pi'`

##### <a name="python_dir"></a>`python_dir`

Data type: `Stdlib::Absolutepath`

The path to place the klipper python virtualenv

Default value: `"/home/${klipper::user}/klippy-env"`

##### <a name="config_dir"></a>`config_dir`

Data type: `Stdlib::Absolutepath`

The path to place klipper config files

Default value: `"/home/${klipper::user}/klipper_config"`

##### <a name="log_path"></a>`log_path`

Data type: `Stdlib::Absolutepath`

Where to store the klipper logs

Default value: `"/home/${klipper::user}/klipper_logs"`

